Pandabase
Store APIsMeters

List meters

GET
/stores/{storeId}/products/{productId}/meters/

Returns the list of usage meters configured on a product. Requires the METERS_READ scope.

Authorization

AuthorizationBearer <token>

Bearer token authentication. Pass the secret directly in the Authorization header. Token secrets start with sk_.

In: header

Path Parameters

storeId*string
Length12 <= length <= 48
productId*string
Length12 <= length <= 48

Header Parameters

idempotency-key?string
Length8 <= length <= 32

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/stores/stringstring/products/stringstring/meters/"
{  "ok": true,  "data": {    "items": [      {        "id": "umt_5e1q3npwt0u6s2k8h9j7rzbc",        "productId": "prd_8h4t6sqzy3x9w5n2k1m0vqbf",        "eventName": "input_tokens",        "unitPrice": 300,        "unitQuantity": 1000000,        "aggregation": "SUM",        "settlement": "ARREARS",        "includedUnits": null,        "createdAt": "2026-05-20T14:00:00.000Z",        "updatedAt": "2026-05-20T14:00:00.000Z"      }    ]  }}

Last updated on